import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainInformationArticleTable from '@/components/Render/Main/Information/Article/table'
import PagesMainInformationArticleCreate from '@/components/Render/Main/Information/Article/create'

const InformationArticlePage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainInformationArticleTable getId={getId}></PagesMainInformationArticleTable>
                <PagesMainInformationArticleCreate id={id}></PagesMainInformationArticleCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(InformationArticlePage);

